## com.fasterxml.jackson.databind.ser
Class AnyGetterWriter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.AnyGetterWriter

    public class AnyGetterWriter

extends Object

Class similar to `BeanPropertyWriter`, but that will be used for serializing `JsonAnyGetter` annotated (Map) properties

Field Summary
`protected AnnotatedMember` `_accessor` Method (or field) that represents the "any getter"
`protected BeanProperty` `_property`
`protected MapSerializer` `_serializer`

Constructor Summary
`AnyGetterWriter(BeanProperty property, AnnotatedMember accessor, MapSerializer serializer)`

Method Summary
`void` `getAndSerialize(Object bean, com.fasterxml.jackson.core.JsonGenerator jgen, SerializerProvider provider)`
`void` `resolve(SerializerProvider provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _property

    protected final BeanProperty _property

### _accessor

    protected final AnnotatedMember _accessor

  Method (or field) that represents the "any getter"

### _serializer

    protected MapSerializer _serializer

Constructor Detail

### AnyGetterWriter

    public AnyGetterWriter(BeanProperty property,
                           AnnotatedMember accessor,
                           MapSerializer serializer)

Method Detail

### getAndSerialize

    public void getAndSerialize(Object bean,
                                com.fasterxml.jackson.core.JsonGenerator jgen,
                                SerializerProvider provider)
                         throws Exception

  Throws:
    `Exception`

### resolve

    public void resolve(SerializerProvider provider)
                 throws JsonMappingException

  Throws:
    `JsonMappingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.